| GL Studio C++ Runtime API

Public Member Functions | List of all members
Effect_DiffNormSpecRefl::TextureUVWMatrix Class Reference

`#include <effect_diff_norm_spec_refl.h>`

## Public Member Functions
bool | operator== (const TextureUVWMatrix &rhs) const
void | UOffset (float val)
float | UOffset () const
void | VOffset (float val)
float | VOffset () const
void | UTiling (float val)
float | UTiling () const
void | VTiling (float val)
float | VTiling () const
void | Angle (float val)
float | Angle () const
void | RecalcTransformMatrix ()
| Should be called after changing the parameters.
bool | IsIdentity ()
float * | GetTransformMatrix ()

## Detailed Description

The TextureUVWMatrix class. Describes a texture transformation.

## Member Function Documentation

## ◆ Angle() [1/2]

float Angle | ( |  | ) | const
| inline

Returns
  The rotation angle for this texture.

## ◆ Angle() [2/2]

void Angle | ( | float | val | ) |
| inline

Set the rotation angle in degrees for this texture.

Parameters

  val | The new rotation angle to set.

## ◆ GetTransformMatrix()

float * GetTransformMatrix | ( |  | ) |
| inline

Note
  Matrix must be an array of [16].

Returns
  The underlying matrix data.

## ◆ IsIdentity()

bool IsIdentity | ( |  | ) |
| inline

Returns
  True if the matrix is identity.

## ◆ operator==()

bool operator== | ( | const TextureUVWMatrix & | rhs | ) | const

Equality operator

Parameters

  rhs | The object to compare.

Returns
  Whether or not the objects are equal.

## ◆ UOffset() [1/2]

float UOffset | ( |  | ) | const
| inline

Returns
  The U offset for this texture.

## ◆ UOffset() [2/2]

void UOffset | ( | float | val | ) |
| inline

Sets the U offset for this texture.

Parameters

  val | The new U offset to set.

## ◆ UTiling() [1/2]

float UTiling | ( |  | ) | const
| inline

Returns
  The U scale for this texture.

## ◆ UTiling() [2/2]

void UTiling | ( | float | val | ) |
| inline

Sets the U scale for this texture.

Parameters

  val | The new U scale to set.

## ◆ VOffset() [1/2]

float VOffset | ( |  | ) | const
| inline

Returns
  The V offset for this texture.

## ◆ VOffset() [2/2]

void VOffset | ( | float | val | ) |
| inline

Sets the V offset for this texture.

Parameters

  val | The new V offset to set.

## ◆ VTiling() [1/2]

float VTiling | ( |  | ) | const
| inline

Returns
  The V scale for this texture.

## ◆ VTiling() [2/2]

void VTiling | ( | float | val | ) |
| inline

Sets the V scale for this texture.

Parameters

  val | The new V scale to set.

The documentation for this class was generated from the following file:

- effect_diff_norm_spec_refl.h